---
title: Transcript of my assessment from the future 
css: recap.css
cover: recap/cover.jpg
cover_alt: dinosaurs
---

## Hello 

This months in XPUB were a lot of fun. At the beginning I was terrorized because of the moving, new people, new places, different language, so probably to cope with the stress I had an initial outburst of energies. Now I'm trying to stay calm.

## Purpose

Lately I've been interested in programming. Probably because it's a playful way to interact with reality starting from abstraction. Something like theory but with instant and tangible outputs. Something like incantation or psychokinesis.

I'm into the development of site-specific software. Codes that inhabit and interact with a community. Coding as a form of care. Programming as a way to facilitate _agency-on_ and _comprehension-of_ complex systems. I'm learning how to approach complexity as an environment. How a work can be complex without forcing the result being complicated.

## Methods

I like to propose ideas to the group. Sometimes the idea [does not deliver](/soupboat/~kamo/projects/loot-box-sealing-device/) ![sealing device](/soupboat/~kamo/static/img/test-3d.jpg), sometimes it lands but the results are [catastrophic](/soupboat/~kamo/projects/si16-structure-proposal/) ![si16 api](/soupboat/~kamo/static/img/recap/si16-api.jpg), sometimes the outcomes are [unexpected](/soupboat/~kamo/projects/annotation-compass/) ![annotation compass](/soupboat/~kamo/static/img/recap/annotation compass.jpg), and sometimes they [unexpectedly work](/soupboat/padliography/) ![padliography](/soupboat/~kamo/static/img/recap/padliography.jpg).

My main interest is the ecology around these ideas. How it can be enriched and transformed by different voices, and the kind of play and space that it offers. I'm trying to shift from _developing crazy things_ to _developing meaningful things_. Meaningful especially in relation to the environment and the other people involved in the process. To be meaningful an idea should stands on its own, but functioning as a starting point, more than a finite result. 

I get easily _bored-of_ or _carried-away-by_ my train of thoughts, so I need to rely on others. That's why I always collaborate with someone else and rarely do things alone.   


## Outputs

### Warm up

During the first month every day was a fest and we developed everything that came to our mind. To have the Soupboat felt empowering. A place to call home in the internet. ![cms00](/soupboat/~kamo/static/img/recap/cms00.jpg) ![cms01](/soupboat/~kamo/static/img/recap/cms01.jpg) Not really a critical approach maybe, but an ecstatic condition. 

Together with Erica we tried to develop a [shared cookbook](/soupboat/soup-gen/) ![soup gen](/soupboat/~kamo/static/img/recap/soup-gen-1.jpg) ![soup gen](/soupboat/~kamo/static/img/recap/soup-gen-2.jpg), then a [birthday cards collector](/soupboat/b-say/) ![birth day cards](/soupboat/~kamo/static/img/recap/bsay.png) to spawn best wishes in the Soupboat homepage at each birthday, some prototypes for the [karaoke as a form of republishing](/soupboat/k-pub/) ![k-pub](/soupboat/~kamo/static/img/recap/kpub.jpg), a way to track all [our pads](/soupboat/padliography/) ![padliography](/soupboat/~kamo/static/img/recap/padliography.jpg) through the media wiki API.

During the group exercise I collaborated to the [text lifeboats](/soupboat/~kamo/static/html/lifeboats/) ![lifeboats](/soupboat/~kamo/static/img/recap/lifeboats.gif) and different ways to [weave](/soupboat/~kamo/static/html/weaving/) texts together ![weaving](/soupboat/~kamo/static/img/recap/weaving.png) to generate new meanings, transforming a complex writings into an [abstract chat](/soupboat/~kamo/static/html/chat-reader/chat.html) ![chat reader](/soupboat/~kamo/static/img/recap/chat-reader.png), and the [insecam livestream transcription](/soupboat/~kamo/static/html/cam-transcript/) ![webcam transcript](/soupboat/~kamo/static/html/cam-transcript/shoes.jpg) ![webcam transcript](/soupboat/~kamo/static/html/cam-transcript/barber.jpg) ![webcam transcript](/soupboat/~kamo/static/html/cam-transcript/cows.jpg). 

### SI16

I like what we did for the SI16. The concept of using an API as a form of pubblishing was [mindblowing](/soupboat/~kamo/projects/api-worldbuilding/). The approach proposed during the prototyping sessions was extremely stimulating, even if sometimes frightening to [rewind](/soupboat/~kamo/projects/si16-API-express-prototype/) and [rewind](/soupboat/~kamo/projects/si16-API-strapi-nuxt-prototype/) and [redo](/soupboat/~kamo/projects/si16-backend/) things differently ![backend prototypes](/soupboat/~kamo/static/img/api_bikes.jpg). I feel sorry if at some point I pushed for something that someone perceived as a failure. I get that it's a matter of perspective: from my point of view what's important is the process and the ways we work together, while for someone else a concrete outcome is more important. I need to keep in mind that both sides are legit and valid.

I contributed on the overall [structure](/soupboat/~kamo/projects/si16-structure-proposal/), the [backend](/soupboat/~kamo/projects/si16-backend/) and the [frontend](/soupboat/~kamo/projects/si16-frontend-design/) ![frontend](/soupboat/~kamo/static/img/si16-frontend/Snippet%20Research.jpg), and the [visual identity](https://www.are.na/si16-visual-identity). The [Concrete Label](https://pad.xpub.nl/p/AGAINST_FILTERING) project started with Supi to annotate concrete poetry to create vernacular corpora ![concrete labels](https://i.pinimg.com/originals/9a/12/3c/9a123c7d889520fa01fd4b07a7becdbd.jpg) ![concrete label](https://pzwiki.wdka.nl/mw-mediadesign/images/a/aa/Labeling.jpg) ![concrete label](https://pzwiki.wdka.nl/mw-mediadesign/images/7/7f/Label_1.jpg) became the [Annotation Compass](/soupboat/~kamo/projects/annotation-compass/) ![anotation compass](/soupboat/~kamo/static/img/recap/compass.png), a tool to annotate images collectively.  

We managed to achieve a lot: a distribuited API, a familiar CMS based on Jupiter Notebooks ![jupit](/soupboat/~kamo/static/img/recap/jupiter.jpg), a coherent environment with room for [customization](/soupboat/si16/projects/annotation-compass/rejection_map/), and a shared understanding of a complex topic ![anotation compass](/soupboat/~kamo/static/img/recap/api.jpg). I tried to document these processes both in the soupboat and directly in the code ![git](/soupboat/~kamo/static/img/recap/git.jpg). This required a lot of effort since I've always had a bad relation with documentation, probably because I'm an over-analitical-critical-shy person.   

We failed in finishing things. The event-mode of the website as well as the API key circulation remain a draft. The workload was crazy, especially considered the technical difficulty of the overall project that led to unbalanced shares of work. 


### Slow down

After the winter break we slowed down, and spent more time studying the special issue's materials. Together with Erica, Mitsa, Chae, and Alex we read through all the text together. The ideology excercise with [noise canceling headphones](https://pad.xpub.nl/p/noice_cancelling_devices_turns_off_also_your_inner), the [critical karaoke](https://hub.xpub.nl/soupboat/postit/generate/karaoke) about gamification ![karaoke](https://pzwiki.wdka.nl/mw-mediadesign/images/thumb/8/8d/Karaoke-final-5.jpg/1200px-Karaoke-final-5.jpg), the katamari fanfiction ![katamari](/soupboat/~kamo/static/img/recap/katamari.jpg), the [replace('mimic','loot box')](https://hub.xpub.nl/soupboat/postit/generate/mimic) research ![mimic](https://hub.xpub.nl/soupboat/~kamo/static/img/The_Mimic.png), and the gravitational approach to mapping the theme of gamification ![gravity](https://pzwiki.wdka.nl/mw-mediadesign/images/thumb/7/73/Map_monetization.jpg/450px-Map_monetization.jpg) were all results of a moment with more critical focus on the contents and less on technical experiments. 

At the beginning of the accademic year we applied to Room for Sound with the k-pub karaoke project, but timing and covid messed up with our plans, and in february after a couple of day of residency we decided to step back in order to focus more on less things. ![k-pub](/soupboat/~kamo/static/img/recap/karaoke2.jpg) Room for Sound understood our needs and proposed us to retry later on this year. 

The plan now is to continue working on the karaoke format as a moment in which different forms of public meet each others: ![kara](https://hub.xpub.nl/soupboat/~kamo/static/img/k-pub/karaoke_recipe.png) there is a text and writing aspect, a musical and sonic one, it's a collective and personal performative moment, and it's something already present in the collective imaginary. So it could be a good generative device. 

### SI17

The process of SI17 was much more mindful than the previous one. As a group we put a lot of effort into the facilitation and organization of the work. The tired but cheering way we arrived at the launch is a sign of success.  

The iterations of the work and the ideas were a lot, and the time passed on the readings was really effective to generate thoughts about the [relations within the public](https://hub.xpub.nl/soupboat/~kamo/projects/loot-box-multi-player/), the [jigsaw puzzle as a form of encryption ](https://hub.xpub.nl/soupboat/~kamo/projects/chaotic-evil-puzzles/) of our contents, the loot box as a [decorator or skin](https://hub.xpub.nl/soupboat/~kamo/projects/loot-box-decorator/) for other pubblications, [ways to seal](https://hub.xpub.nl/soupboat/~kamo/projects/loot-box-sealing-device/) ![sealing device](https://hub.xpub.nl/soupboat/~kamo/static/img/seals1.jpg) the boot lox instead of opening it, or ways to hack its inner [temporality](https://hub.xpub.nl/soupboat/~kamo/projects/loot-box-temporality/) ![temporality](/soupboat/~kamo/static/img/recap/temporality.jpg). 

When we entered the production phase I worked with Mitsa, Supi and Erica as part of the team 1, in charge of the contents of the boot lox. We approached the different contents with the idea of a common ground such as the [post-it](https://pad.xpub.nl/p/post-it). ![post-it identity](https://hub.xpub.nl/soupboat/~kamo/static/img/post-it/orange-katamari.svg) We worked with a surface to [gather the contents](https://git.xpub.nl/kamo/post-it-contents) ![post it contents](/soupboat/~kamo/static/img/recap/contents.png) and with another one to [generate the results](https://git.xpub.nl/kamo/postit) ![post flask](/soupboat/~kamo/static/img/recap/post-flask.png) ![post flask](/soupboat/~kamo/static/img/recap/post-flask-2.png). When Supi said that the way we worked made her rethink inDesign I was happy. Even if the perceived workload at some point was insane (tell me more about the blurred line between leisure and labor), the overall experience was super great, and we managed to work well together with a common pace. 

Things went wrong only in the last days before sending the print, when we didn't manage to share the work in a fair way. To me this was a great loss since it was the main stake of the entire process. We had several reflections about this and then managed to recover the group morale working together on the website. 

To keep things simple is difficult, but important. At the end I think the issue website ![issue 17 website](/soupboat/~kamo/static/img/recap/issue17.jpg) is great, since we did it altogether. It's not a problem if it's not technically interesting or flexible or modular or what else. I accepted that there are other parameters to create value and meaning. With the help of the group I also managed to give value to things I did such as the xquisite branch ![xbranch](/soupboat/~kamo/static/img/recap/xquisite.jpg) ![xbranch](/soupboat/~kamo/static/img/recap/xquisite-2.jpg) and the mimic-loot box research ![mimic](/soupboat/~kamo/static/img/recap/mimic.jpg), that ultimately ended as contents in the final pubblication.

Some moments were super hard: a certain Monday during spring break we should have decided on something to move on, but every proposal was rejected. It was really difficult, especially since there were valid ideas on the table. ![puzzle](https://hub.xpub.nl/soupboat/~kamo/static/img/100-boxes.jpg) ![puzzle](https://hub.xpub.nl/soupboat/~kamo/static/img/catchy-puzzles.jpg) ![puzzle](https://hub.xpub.nl/soupboat/~grgr/static/img/jigmix.png) ![puzzle](https://hub.xpub.nl/soupboat/~kamo/static/img/xchange-puzzle.jpg) Usually I'm not really attached to my proposals and I'm always ready to give up to something in favor of something else. What I find really difficult it's to give up to something without a real alternative.   

## Further developing interests


<!-- I spent last year researching how different forms of intelligence (language, body, intuition, logic) can interact with complex (technological) systems. I would like to continue whit this using the tools and protocols I'm learning here at XPUB. 

I would like to research more about emotional intelligence for example, especially when it comes to the forms of care that we are using during meetings or working sessions. How do they interact and influence our creative process and outcomes? Can we embed forms of care into software development? Can this help us approaching complexity with a wider emotional palette and more sensibility? -->

- How different forms of intelligence can interact with complexity (language, body, intuition, logic, emotion)
- Coding as a form of care instead of control
- Design pattern (OOP)
- Learn how to play the accordion. 


<!-- usefull links

16

/soupboat/soup-gen/
/soupboat/k-pub/
/soupboat/padliography/


/soupboat/~kamo/projects/concrete-label/
/soupboat/si16/annotation-compass/

/soupboat/~kamo/projects/si16-backend/

17

/soupboat/xquisite/
/soupboat/~kamo/projects/chaotic-evil-puzzles/

/soupboat/postit/


 -->