---
title: TMTTI
---

## Take me to the internet

Visual design & coding fundamentals

Workshop for Master’s Degree in Communication for International Relations (MICRI) students at IULM University  
From April 26 to May 17, 2022  
20 hours remote workshop

### Instructor

Manuel Ehrenfeld  
me@manuelehrenfeld.info

Assistant  
Francesco Luzzana

### Description

During this workshop we will explore novel digital aesthetics and narrative formats for online publications. Participants will research and co-design a series of articles exploring the different kinds of narrations Internat generates around relevant and urgent topic such as the environmental crisis.


### Method

Through an iterative process of hands-on exercises, readings and discussions, participants will develop the socio-technical awareness necessary to critically orientate and navigate the opportunities and constraints of the digital space.


### Learning outcomes
By the end of the workshop participants will:
- Be familiar with a range of design practices, UX/UI patterns and understand basic web terminology.
- Explore novel digital aesthetics and narrative formats.
- Participate in the creation of a digital publication.

### Topics
- Understanding the post-digital landscape. 
- Making another web: from hand-made to brutalist websites.
- New tools: On finding resources and inspiration.
- Collective curation strategies.
- Alternative Content Management Systems. 

### Tools 
- [Visual studio code](https://code.visualstudio.com)
- [Figma](https://www.figma.com)
- [are.na](are.na)


### Readings and resources
- [Performing the Feed - Paul Soulellis](https://soulellis.com/writing/nov2017/)
- [Too much world - Is the internet dead? - Hito Steyerl](https://www.e-flux.com/journal/49/60004/too-much-world-is-the-internet-dead/)



# Proposal


## The Bestiary of the Internet


_A Bestiary of the Internet seeks to capture this precise moment when the information and reality merge and mesh into one new hybrid body. What happens when technologies and their unintended consequences become so ubiquitous that it is difficult to define what is “real” or not? What does it mean to live in a hybrid environment made of organic and digital matter? What new specimens are currently populating our devices at the beginning of the 21st century?_
Versioning from [Bestiary of the Anthropocene](https://www.onomatopee.net/exhibition/bestiary_of-_the_antropocene/)

A lexicon on internet narratives: each contribution focuses on the same topic but from a different format: IG_story, TikTok_lip-sync, Twitter_thread, Twitch_stream, Youtube_video, Medium_article, Substack_newsletter, etc. In this way specific yet broad issues such as the environmental crisis can be explored from multiple points of view, while at the same time navigating the wide spectrum of digital narratives.

While it is not a remedy, internet for sure is a remediator: it takes every traditional media and digests it into new forms. This crossbreading of informations gives birth to a complex reality. One of the most challenging aspect of our time is to _orientate ourselves in_ and _build meaning out_ of this post-digital landscape.

Hence a guide to navigate this web. From the idea of medieval bestiaries and the hyper-stimulated visual culture of today, this issue of Networked Magazine works as a lens through the different reflections of information and culture. How do we choose reliable sources when scrolling the updates? How can we spot fake news and clickbaits in the age of digital journalism? Where to land some context around this sea of user-generated contents?     

#TODO: WRITE last paragraph about reposting and republishing, curation vs aggregation of contents, screenshot documentary


## Timetable

Iterative process: 3x times the same thing, but with more and more focus and building up.


### from our side: preparation week
- Research and design mockups for the Bestiary of the Internet
- Think and select the main topic, if necesary

### 26th April: 
First iteration: presentation and contents mockup. 
Focus on interests and intuitions.

Morning: 
Introduction, portfolio, previous issues.
Presentation and Figma mockup of the Bestiary of the Internet.

Afternoon:
Compiling together the list of formats to investigate. 
(starting from IG_story, TikTok_lip-sync, Twitter_thread, Twitch_stream, Youtube_video, Medium_article, Substack_newsletter)
Individual or couple exercise: each group picks a format and gather material.

Outcome:
Using Figma for multiplayer work and the idea of screenshooting as documentary practice, the outcome of the first day is a rough aggregation of visual contents. 
Each group brings at least 10~15 screenshots of the picked format. 
They are displayed in the same space (Figma), quick round of presention of the findings. 

Homework: refine findings.
Write a short report starting from these questions:
- What's the context around these sources and formats?
- How and where do your contents interact with the public discourse?
- How do those contents interact with other formats and how they are perceived?
- How to distinguish between meaningfull and non meaningfull sources? 
Each group adjusts their findings based on the report. 


### from our side: during the 2 weeks inbetween
- Second round design and working prototype of the Bestiary
- Are.na as alternative CMS
- Design with Screenshot in mind

### 9th May
Second iteration: from contents to articles. 
Focus on contents and sources. 

Morning:
Check-in and presentation of the report and materials from each group.
Presentation of the working prototype.
Are.na as CMS.

Afternoon:
Each group uploads the findings on Are.na. Each contribution uses the report to organize the structure of the channel.
Besides screenshots, each channel is enriched with other texts, links and references. 
Individual tutorial with the groups.

Outcomes:
Using Are.na as a networked CMS, the contents are polished and organized in a critical way. 
The outcome of the second iteration is an online-not-yet-published version of the Bestiary.

Homework: adjust contents with the design.
Each one bring an index proposal. 
(How to order and organize the contributions in the final outcome)

### from our side: during the week inbetween
- Adjust design and prototype


### 17th May
Third iteration: polishing and publishing. 
Focus on aesthetics and narrations.

Morning:
Deciding on the index and adjusting the order on Are.na
Individual tutorial for final adjustments and polishing.

Afternoon:
Individual tutorial for final adjustments and polishing.
Publishing and presentation round on the online version.

Outcomes: pubblication of the issue!


