---
title: Chat Reader
description: Transform a text (ok no, actually a CSV file) into a chat
date: 06/10/2021
project: chat-reader
git: https://git.xpub.nl/kamo/chat-reader
pad: https://pad.xpub.nl/p/SP16_0510
categories:
 - JS
 - Chat
 - Text
---

## Reader Prototyping

- take suggested methods, use something we already used already - work on it, elaborate, don't exclude what we've been doing with Manetta, Michael and Cristina go in smaller groups/individually and make a prototype - network of texts,
- something visual, reworking of something and what it can be a sensible way to explain to people
- come together at 15:30? and we share what we've done - talk about how can we stitch it together to make a reader

## Aggregating different things ~ output: chat form

### Levels

- 🏸 1 touch the inputs
- 🏸 2 overlap/merge them a bit
- 🏸 3 mesh them completely

### Process

- 🏏 take an academic text and turn it into a chat - translating into vernacular;
- 🏏 simplify the text
- 🏏 break it into chats
- 🏏 illustrate some bits

Starting from a difficult but relatable text: our [multi voiced pad](https://pad.xpub.nl/p/SP16_0510) of the day.  
Parsed here: [Spreadsheet ghost](https://cryptpad.fr/sheet/#/2/sheet/edit/N5uOS8x5Nu28ZiXPSk+kF-um/)

### Rules to manipulate text:

- 🏑 table of contents - shorts contents - tag them
- 🏑 turn into chat bubbles
- 🏑 illustrate a few

### Rules of text simplification (as ⛳️ objective ⛳️ as possible):

- 🏓 simple sentences
- 🏓 on point
- 🏓 short paragraphs and short chapter
- 🏓 title on each paragraph
- 🏓 text could become image caption/illustrate chapters/graphs?
- 🏓 page number
- 🏓 navigation (table of contents)


### Demo online: [Chat_a_pad](/soupboat/~kamo/static/html/chat-reader/chat.html)

### Demo offline:
<video src="/soupboat/~kamo/static/video/chat_reader.mp4" autoplay loop></video>
