---
title: LOOT—BOX—SEALING—DEVICE
date: 04/02/2022
description: Closing Pandora's 3D large jar 
categories: 
  - SI17
  - Games
  - Proposal
cover: test-3d.jpg
cover_alt: 3d sculpted loot boxes
---

## 3D printed loot box?

This is an idea that follows some intuitions regarding the [temporality of the loot box](/soupboat/~kamo/projects/loot-box-temporality/). 

Imagine the loot box being 3D printed, and especially 3D printed on demand when the player want to buy it at Page Not Found or Varia or any other place we are going to distribute our work. 3D printing is a slow process, and in order to create a small piece you need to wait let's say an hour. When someone want to buy our loot box goes to PNF and ask for it, the 3d printing process begins and during the waiting time the player can access and navigate through the contents of our special issue. These contents are contained inside the temporality of the l~b, but they are not consumed instantaneously.

![3d sculpted loot boxes](/soupboat/~kamo/static/img/test-4d.jpg)

How do we want to deliver these contents? It could be related to the way of production of the physical l~b, for instance each player could contribute and shape the 3d model for the next player during the waiting time, and we can aggregate and collect narrations within and around the tools used in order to do so.

In order to cover the expenses of a similar process part of the SI17 budget could cover the cost for some small 3D printers and printing material. The term of services of our special issue could allocate a certain amount of money from each purchase to self sustain the process (buying new printing material, etc) 


![3d sculpted loot boxes](/soupboat/~kamo/static/img/test-5d.jpg)



## The loot—box—sealing—device  

In the movie _The NeverEnding Story_ based on the novel by Michael Ende, the two main characters are linked together by the Auryn. In the (fictional) real world the Auryn is a sigil on the cover of the (fictional) Neverending Story book that tells the tales of the land of Fantasia. In Fantasia, the Auryn is a magic medalion that the hero wears during his mission.


![Auryn from Neverending Story](/soupboat/~kamo/static/img/book_AURYN.jpg)
![Auryn from Neverending Story](/soupboat/~kamo/static/img/atreyu_AURYN.jpg)

Here the Auryn acts as a seal: by removing it from the cover of the book the magical world of Fantasia begins to leak inside the (fictional) real world. Later on it will be the main character to fall inside the (fictional) book of the Neverending Story.

This plot from Michael Ende resembles what happens when we play a game. Thanks to a weird device like a table game, a console or just a set of shared principles, we are able to flow into the [magic circle](https://en.wikipedia.org/wiki/Magic_circle_(virtual_worlds)). In the novel this happens with the main character reading a book, and while it's true that every cultural object offers a certain degree of immersivity, the kind of agency, interaction and participation in the NeverEnding Story is something that reminds me more the act of playing.  

![3d sculpted seals](/soupboat/~kamo/static/img/seals1.jpg)

To elaborate more on the 3D printed loot box: we could have a book and using the 3d printer to seal it with a new 3d sigil every time! In a way it is like __sealing the loot box instead of opening it__. As in the NeverEnding Story (but this is a recurrent magical trope) we would have a sigil connecting who is reading the book with another player. This connection will be not with a fictional character, but with a real person: the one that bought the previous book. There is something like the [reciprocity](https://pzwiki.wdka.nl/mediadesign/Glossary_of_productive_play#Reciprocity) descripted by Mausse here, but is a reciprocity swimming backstroke: the player receives a gift from a past uknown fellow player, and leaves one for a future unkown one. In this way the reciprocity chain (sounds weird) goes spiral.

![3d sculpted seals](/soupboat/~kamo/static/img/seals2.jpg)




## Overview

Here a brief description of the different pieces that compose the loot—box—sealing—device

1. The pubblication is composed of 2 main parts: a base and a superstructure. omg sorry
2. The base is the same for every copy, and it's where the main contents are. (imagine it like a book)
3. The superstructure is dynamic, it is produced and added to the base when and where the pubblication is purchased by someone. (imagine it like a 3d printed something)
4. The production of the superstructure inflates the temporality of the loot box: our narration can inhabit this timespan. 
5. While someone wait for the 3d sigil to be printed we can offer a _temporary safe zone_: a checkpoint at PNF (or other locations)
6. In this _temporary safe zone_ the player can leave something for the next player by designing the next sigil and
7. In this _temporary safe zone_ the player can be guided through the contents of the pubblication while waiting for the superstructure to be produced
8. When a new copy of the pubblication is bought, a sigil is 3d printed and then uploaded on the website of the SI17 as documentation 




### 1. Physical pubblication (a book? a box? something)
I don't really know which kind of contents, but since we are reading a lot could be intresting to prepare a critical reader about the loot box issues, collecting different perspectives and heterogeneous voices? Then production mode ok and then we print say 100 copies. Our magical technical book binding team figures out the best way in which we can add some dynamic components or 3D addition to the cover-object-book, but we don't do that yet. We just leave the pubblications without the 3d cherry on the cake. 

### 2. A custom 3d sculpting software
_Note that the process could be also implemented with totally different techniques based on digital manufacturing like wood working with cnc, laser cut, etc endless possibilities, but let's say we want these exoterical 3d printed sigils._

We can develop a simple 3D sculpting software that even people not used to 3D modeling could use. Something like this [SculptGL](https://stephaneginier.com/sculptgl/). This is not super easy to do, but not as hard as an API. We could start from some open source thing and then customize it in the way we need. [Blender](https://www.blender.org/) is written in Python and has a super nice API for programming custom plugins, for example. 

Side note totally (not totally) unrelated: plugin republishing? 🤯 Ahah it would be great to publish some excerpts from Simone Weil inside the UI of Blender or Photoshop or whatever. Injecting culture in the cultural industry tools.


### 3. Some templates for the 3d sigil 

- material and practical needs
- SI17 visual identity as a starting point
- SI17 contents as orientation
- SI17 world building as heading 

(wip)

### 4. A 3D Printing device

- A 3D printer
- Some interface to sculpt the next 3d seal (aka 1 pc)
- A nice setup for display everything (checkpoint? treasure chest? loot box?)

(wip)

### 5. A website

- Info
- Inventory that keep track of the sigils (world building)

(wip)



<video src="/soupboat/~kamo/static/video/lootboxes 3d meme.mp4" autoplay loop></video>
