---
title: SI18.01 - Jingles
description: Exploring the sequencer of the Skimmer to make some jjj
date: 18/04/2022
categories:
    - SI18
    - Sound
    - Tool
cover: delft.jpg
cover_alt: Birdwathing in Delft
git: https://git.xpub.nl/kamo/skimmer
---

## SI18.01 - Skimmer Jingles 0.1.0

On wednesday night the [Skimmer](https://hub.xpub.nl/soupboat/~kamo/static/html/skimmer/) started playing some patterns. It is built on top of Tone.js, and use a notation system inspired by Tidal Cycles.

Each pattern is made by one or more tracks.
Each track is a list of notes.
There is no limit to the length of each track, nor a fixed size. This is interesting because can lead to polirythm and strange loops.

`[C4, D#4, G4]`

For this first source the western notation is used. For the future i would like to try other ways of notation or scoring.

To insert a rest put a dash:

`[C4, -, G4]`

And the super nice thing about this notation system is that you can nest lists inside the list.
In doing so the notes in the inner list will take the time of the note they are replacing.
This two E4 will last half of the other notes.

`[C4, [E4, E4], G4, A4]`

Now We are a week in advance for the ideal configuration of the Skimmer, but to keep the time and set the rythm I choose to use and explore this early version of the sequencer anyway.

The idea of jingle caught my eye: a structural element in the radio broadcast that leaves a margin between two different pieces. I like working on something of support, instead of on a real thing. Something behind, or at the side, or below. Maybe it's a way to xscape from responsabilities? Maybe it's a way to cope with insecurity? Maybe it's just super fun and interesting? I don't know.

Here the scores for the ten patterns recorder for the first audio~zine of the SI18.

### A.A jingle like a run-up

![Run up](https://www.wikihow.com/images/thumb/9/98/Run-up-a-Wall-and-Flip-Step-2-Version-2.jpg/v4-460px-Run-up-a-Wall-and-Flip-Step-2-Version-2.jpg.webp)

<audio controls>
    <source src="https://hub.xpub.nl/soupboat/SI18/01/recordings/Pattern%20A.mp3" type="audio/mpeg">
</audio>

```
BPM: 23
[-, -, -, -, -, [A#3, C4, D#4], -, -, -, -, -]
[[A#4, F4, D#4], -, -, -, -, [A#4, F4, -, C3], -, -, -, -, -]
[[C2, C3, C4], -, -, -, -, -, -, C5, - , - , -]
```

### B.A jingle like lunch time

![Lunch time](https://www.wikihow.com/images/thumb/8/82/Pack-a-Lunch-for-a-Teenager-Step-4-Version-3.jpg/v4-460px-Pack-a-Lunch-for-a-Teenager-Step-4-Version-3.jpg.webp)

```
BPM: 45
[[C2, C3, C4], -, -, -, -, -, -, -, -, -, -]
[-, -, -, -, -, -, A#5, -, G5, -, -]
[A#2, C2 ]
```

<audio controls>
    <source src="https://hub.xpub.nl/soupboat/SI18/01/recordings/Pattern%20B.mp3" type="audio/mpeg">
</audio>

### C.A jingle like quiz about the next track

![Quiz](https://www.wikihow.com/images/thumb/f/f2/Make-a-Quiz-Step-3-Version-2.jpg/v4-460px-Make-a-Quiz-Step-3-Version-2.jpg.webp)

<audio controls>
    <source src="https://hub.xpub.nl/soupboat/SI18/01/recordings/Pattern%20C.mp3" type="audio/mpeg">
</audio>

```
BPM: 45
[[C2, G2, C3]]
[-, [C5, C4, C3], -, -, -, -, -, [C4, E4, G4], -, -, -]
[[C2, C3, C4], -, -, -, -, -, -, -, -, -, -]
[-, -, -, -, -, -, -, -, D4, E4, -]
[[C3, C3], D3]
```

### D.A jingle like a rail without trains

![Rails](https://www.wikihow.com/images/thumb/9/9b/Be-Safe-Around-Trains-Step-22.jpg/v4-460px-Be-Safe-Around-Trains-Step-22.jpg)

<audio controls>
    <source src="https://hub.xpub.nl/soupboat/SI18/01/recordings/Pattern%20D.mp3" type="audio/mpeg">
</audio>

```
BPM: 95
[B4, -, -, -, -, -, -, -, B4, C#5, -, A4, E4, F#4, -, -, -, [D5, D#5], -, -]
[D4, -, -, -, -, -, -, -, [D4, C#4, B3], -, -, -, [B2, B3], - , - , - , - , -]
```

### E.A jingle like a road between places

![Road](https://www.wikihow.com/images/thumb/9/9c/Stay-Safe-on-the-Highway-Step-2-Version-2.jpg/v4-460px-Stay-Safe-on-the-Highway-Step-2-Version-2.jpg.webp)

<audio controls>
    <source src="https://hub.xpub.nl/soupboat/SI18/01/recordings/Pattern%20E.mp3" type="audio/mpeg">
</audio>

```
BPM: 95
[-, F#4, -, -, E4, -, -, -, -, -, -, [E2, E3, E4], A4, -, -, -, -, [D5, F#5, A5], -, -]
[B4, -, -, -, -, G4, -, -, B4, C#5, -, A4, E4, F#4, -, -, -, [D5, F#5], -, -]
[D4, -, -, -, -, -, -, -, [D4, C#4, B3], -, -, -, [B2, B3], -, -, -, -, -, -, -]
```

### F.A jingle like a gradient blurring collors

![Gradient](https://www.wikihow.com/images/thumb/3/33/Learn-Graphic-Designing-Step-11.jpg/v4-460px-Learn-Graphic-Designing-Step-11.jpg.webp)

<audio controls>
    <source src="https://hub.xpub.nl/soupboat/SI18/01/recordings/Pattern%20F.mp3" type="audio/mpeg">
</audio>

```
BPM: 120
[-, -, -, -, -, -, [C4, F3], -, -, -, -, -, -, G5, -, -, -, -, -, -, [C4, -, F4, -], -, -, -, -, -, -, A5]
[-, -, -, -, -, -, -, -, -, -, -, [G5, A5, A4], -, -, -, -, [C4, -, F4, -], -, -, -, -, -, -, A5]
[C4, -, -, F4, -, -, -]
```

### G.A jingle like a slinky spring downstairs

![Spring](https://www.wikihow.com/images_en/thumb/f/fe/Fix-a-Slinky-Step-3-Version-4.jpg/v4-460px-Fix-a-Slinky-Step-3-Version-4.jpg)

<audio controls>
    <source src="https://hub.xpub.nl/soupboat/SI18/01/recordings/Pattern%20G.mp3" type="audio/mpeg">
</audio>

```
BPM: 140
[-, -, C4, E4, G4, -, -]
[C4, E4, G4, -, D4, F#4, A4]
```

### H.A jingle like the spinner of the loading

![Loading](https://www.wikihow.com/images/thumb/0/0d/Write-a-Progress-Report-Step-12.jpg/v4-460px-Write-a-Progress-Report-Step-12.jpg.webp)

<audio controls>
    <source src="https://hub.xpub.nl/soupboat/SI18/01/recordings/Pattern%20H.mp3" type="audio/mpeg">
</audio>

```
BPM: 160
[C3, D3, F3, -, -, -, -, -, -, -, -, -, -]
[[C3, C4], [D3, D5], [F3, F6], -, -, -, -, -, -, -, -, -, -]
[ -, -, -, -, -, -, -, E4, F4, -, -, -, -]
[-, -, -, -, -, -, -, [E4, E5, E6], [F4, F3, F2], -, -, -, -]
```

### I.A jingle like the progress bar and download

![download](https://i.pinimg.com/474x/fb/f1/77/fbf177f350d167f0ee7c4a6f1ef41cae.jpg)

<audio controls>
    <source src="https://hub.xpub.nl/soupboat/SI18/01/recordings/Pattern%20I.mp3" type="audio/mpeg">
</audio>

```
BPM: 180
[C5, D5, E5, F5, G5, A5, B5, -, - ]
[C3, D3, E3, F3, G3, A3, B3, -]
[C4, D4, E4, F4, G4, A4, B4]
```

### L.A jingle like the ginger in between dishes

![ginger](https://www.wikihow.com/images/thumb/e/ee/Cure-Stomach-Ache-with-Ginger-Step-12.jpg/v4-460px-Cure-Stomach-Ache-with-Ginger-Step-12.jpg)

<audio controls>
    <source src="https://hub.xpub.nl/soupboat/SI18/01/recordings/Pattern%20L.mp3" type="audio/mpeg">
</audio>

```
BPM: 220
[G4, -, G4, -, G4, -, -, -, -, -, -, -, -, -, -, -, F4, -, -, -, -, E2, F2, G2, -, -, -, -, -, -]
[C3, F3, -, C4, -, C4, -, -, -, -, -, -, -, G4, -, -, -, -, -, -, -, E5, F5, G5, -, -, -, -, -, -]
[E4, -, E2, -, E3, -, -, -, -, -, -, -, -, -, -, -, -, C4, A#3, -, -, F3, G3, A#3, -, -, -, -, -, -]
```

## The original plan

Originally the plan was to perform with the instrument on Tuesday morning, and record the live set. The idea of the Skimmer is to use the connected devices as remote speaker, building an array of indipendent channels and hyper~pan through them. Will try that in the next days.

I really like the idea of an instrument that requires the public to perform. I would like to focus a lot on the way this request is made: which kind of rituality the Skimmer could generate? How can be proposed and how does it ask for consent? To play through someone else's device means to leave the control to someone else and to deal with uncertainty. In a way it could be seen as a trade: the voice in exchange of the word.

Because of the sunny days + the easter fest + other works to be done the time spent in front of the computer during the weekend was: not a lot. Not enough. That super massive black hole named CONFIGURING NGINX swallowed all Sunday evening. Sad and pitiful.
